<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">
        <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="box">
            <form action="<?php echo e(route('admin.offers.update', $offer->id)); ?>" method="post" class="form" enctype="multipart/form-data">
                <div class="box-body">
                    <?php echo e(csrf_field()); ?>

                    <div class="col-md-8">
                        <h2>Edit Offer</h2>
                        <div class="form-group">
                            <label for="company_id">Company Name<span class="text-danger">*</span></label>
                            <div class="form-group">
                                <select name="company_id" id="company_id" class="form-control select2">
                                    <option>Select Company Name</option>
                                    <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option <?php if($company->id == $offer->company_id): ?> selected="selected" <?php endif; ?> value="<?php echo e($company->id); ?>"><?php echo e($company->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="parent">Category<span class="text-danger">*</span></label>
                            <select name="category_id" id="parent" class="form-control select2">
                                <option>Select Category</option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($cat->id == $offer->parent_id): ?> selected="selected" <?php endif; ?> value="<?php echo e($cat->id); ?>"><?php echo e($cat->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                     
                        <div class="form-group">
                            <label for="offer_type">Offer Type <span class="text-danger">*</span></label>
                            <input type="text" name="offer_type" id="offer_type" placeholder="Offer Type" class="form-control" value="<?php echo $offer->offer_type ?: old('offer_type'); ?>">
                        </div>

                        <div class="form-group">
                            <label for="expired_date">Expired Date<span class="text-danger">*</span></label>
                            <input type="Date" name="expired_date" id="expired_date" placeholder="Date" class="form-control" value="<?php echo $offer->expired_date ?: old('expired_date'); ?>">
                        </div>
                        <div class="form-group">
                            <label for="expired_time">Expired Time<span class="text-danger">*</span></label>
                            <input type="time" name="expired_time" id="expired_time" placeholder="Time" class="form-control" value="<?php echo $offer->expired_time ?: old('expired_time'); ?>">
                        </div>
                       
                        <?php if(isset($offer->cover)): ?>
                        <div class="form-group">
                            <img src="<?php echo e(Storage::url("$offer->cover")); ?>" alt="" class="img-responsive"> <br/>
                            <a onclick="return confirm('Are you sure?')" href="<?php echo e(route('admin.offers.remove.image', ['offer' => $offer->id])); ?>" class="btn btn-danger">Remove image?</a>
                        </div>
                        <?php endif; ?>
                        <div class="form-group">
                            <label for="cover">Cover </label>
                            <input type="file" name="cover" id="cover" class="form-control">
                        </div>
                       
                        <div class="form-group">
                            <label for="status">Status </label>
                            <select name="status" id="status" class="form-control">
                                <option value="0" <?php if($offer->status == 0): ?> selected="selected" <?php endif; ?>>Disable</option>
                                <option value="1" <?php if($offer->status == 1): ?> selected="selected" <?php endif; ?>>Enable</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="description">Description <span class="text-danger">*</span></label>
                            <textarea class="form-control ckeditor" name="description" id="description" rows="5" placeholder="Description"><?php echo e($offer->description ? $offer->description : old('description')); ?></textarea>
                        </div>

                    </div>
                    <div class="col-md-4">
                       <!-- <h2>Categories</h2> -->
                    </div>
                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="btn-group">
                        <a href="<?php echo e(route('admin.offers.index')); ?>" class="btn btn-default">Back</a>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </div>
            </form>
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script type="text/javascript">
    $('#company_id').change(function(){
        $("#parent option").remove();
        var id = $(this).val();
        console.log('id',id);
    
        $.ajax({
            url : "<?php echo e(route('admin.products.getCategories')); ?>",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>",
                "id": id
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $.each( result, function(k, v) {
                    $('#parent').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>