<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">
    <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- Default box -->
        <?php if($categories): ?>
            <div class="box">
                <div class="box-body">
                    <div class="box-body">
                        <div class="box-header with-border bg-title border-header">
                            <h4 class="page-title header-color">Manage Categories</h4>
                        </div>
                    </div>
                    <div class="box-body">
                        <table class="table border-b1px" id="table-id">
                            <thead>
                                <tr>
                                    <th class="col-md-3">Category Name</th>
                                    <th class="col-md-3">Cover</th>
                                    <th class="col-md-3">Status</th>
                                    <th class="col-md-3">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php echo e($category->name); ?>

                                    </td>
                                    <td>
                                        <?php if(isset($category->cover)): ?>
                                            <img  style="height:100px !important;width:100px !important" src="<?php echo e($category->cover); ?>" alt="category image" class="img-thumbnail">
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo $__env->make('layouts.status', ['status' => $category->status], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?></td>
                                    <td>
                                        <form action="<?php echo e(route('admin.categories.destroy', $category->id)); ?>" method="post" class="form-horizontal">
                                            <?php echo e(csrf_field()); ?>

                                            <input type="hidden" name="_method" value="delete">
                                            <div class="btn-group">
                                                <a href="<?php echo e(route('admin.categories.show', $category->id)); ?>" class="btn btn-default btn-sm"><i class="fa fa-eye"></i> </a>
                                                <?php if($permission->edit==1): ?>
                                                    <a href="<?php echo e(route('admin.categories.edit', $category->id)); ?>" class="btn btn-primary btn-sm"><i class="fa fa-pencil"></i></a>
                                                <?php endif; ?>
                                                <?php if($permission->delete==1): ?>
                                                    <button onclick="return confirm('Are you sure?')" type="submit" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> </button>
                                                <?php endif; ?>
                                            </div>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>    
                    </div>
                </div>
                <div class="box-footer">
                    <div class="btn-group">
                    </div>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        <?php else: ?>
            <div class="box">
                <div class="box-body">
                    <p class="alert alert-warning">No categories found.</p>
                </div>
                <div class="box-footer">
                    <div class="btn-group">
                    </div>
                </div>
            </div>
        <?php endif; ?>

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    $(document).ready(function() {
        $('#table-id').DataTable();
    } );
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>