<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">
        <div class="box">
            <div class="box-body">
                <div class="box-header with-border bg-title border-header">
                    <h4 class="page-title header-color">Edit Customer</h4>
                </div>
            </div>
            <div class="box-body">
                <form action="<?php echo e(route('admin.customers.update', $customer->id)); ?>" id="edit_customer" method="post" class="form">
                    <div class="box-body">
                        <?php echo e(csrf_field()); ?>

                        <input type="hidden" name="_method" value="put">
                        <div class="row">
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="name">Name <span class="text-danger">*</span></label>
                                    <input type="text" name="name" id="name" placeholder="Name" class="form-control character" value="<?php echo $customer->name ?: old('name'); ?>" maxlength="50">
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="mobile">Mobile <span class="text-danger">*</span></label>
                                    <input type="text" name="mobile" id="mobile" placeholder="Mobile Number" class="form-control" value="<?php echo $customer->mobile ?: old('mobile'); ?>" maxlength="10">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="email">Email </label>
                                    <div class="input-group">
                                        <span class="input-group-addon">@</span>
                                        <input type="text" name="email" id="email" placeholder="Email" class="form-control" value="<?php echo $customer->email ?: old('email'); ?>" maxlength="255">
                                    </div>
                                    <?php if($errors->has('email')): ?>
                                        <span class="text-danger" style="color: red"><?php echo e($errors->first('email')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="password">Password</label>
                                    <input type="password" name="password" id="password" placeholder="xxxxx" class="form-control" maxlength="15">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="states">State </label>
                                    <select name="states" id="states" class="form-control">
                                        <?php if($states): ?>   
                                            <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if($customer->state_id == $state->STCode): ?> selected="selected" <?php endif; ?> value="<?php echo e($state->STCode); ?>"><?php echo e($state->DTName); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="cities">City </label>
                                    <select name="cities" id="cities" class="form-control">
                                        <?php if($cities): ?>   
                                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if($customer->city_id == $city->DTCode): ?> selected="selected" <?php endif; ?> value="<?php echo e($city->DTCode); ?>"><?php echo e($city->DTName); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="tehsils">Tehsil </label>
                                    <select name="tehsils" id="tehsils" class="form-control">
                                        <?php if($tehsils): ?>   
                                            <?php $__currentLoopData = $tehsils; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tehsil): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if($customer->tehsil_id == $tehsil->SDTCode): ?> selected="selected" <?php endif; ?> value="<?php echo e($tehsil->SDTCode); ?>"><?php echo e($tehsil->SDTName); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="villages">Village </label>
                                    <select name="villages" id="villages" class="form-control">
                                        <?php if($villages): ?>   
                                            <?php $__currentLoopData = $villages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $village): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if($customer->village_id == $village->TVCode): ?> selected="selected" <?php endif; ?> value="<?php echo e($village->TVCode); ?>"><?php echo e($village->Name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="address">Address <span class="text-danger">*</span></label>
                                    <textarea name="address" id="address" placeholder="Address" class="form-control character" value="" maxlength="500"><?php echo $customer->address ?: old('address'); ?></textarea> 
                                    
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                                <div class="form-group">
                                    <label for="status">Status <span class="text-danger">*</span></label></label>
                                    <select name="status" id="status" class="form-control">
                                        <option value="0" <?php if($customer->status == 0): ?> selected="selected" <?php endif; ?>>Disable</option>
                                        <option value="1" <?php if($customer->status == 1): ?> selected="selected" <?php endif; ?>>Enable</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <div class="btn-group">
                            <a href="<?php echo e(route('admin.customers.index')); ?>" class="btn btn-default btn-sm">Cancel</a>
                            <button type="submit" class="btn btn-primary btn-sm">Update</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
<script src="<?php echo e(asset('js/jquery.validate.js')); ?>"></script>
<script src="<?php echo e(asset('js/jquery.validate.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/additional-methods.min.js')); ?>"></script>
<script type="text/javascript">
    $("#edit_customer").validate({
        ignore: [],
        errorClass: 'error',
        successClass: 'validation-valid-label',
        highlight: function(element, errorClass) {
            $(element).removeClass(errorClass);
        },
        unhighlight: function(element, errorClass) {
            $(element).removeClass(errorClass);
        },
        validClass: "validation-valid-label",
        rules: {
            name: {
                required: true,
                // lettersonly: true,
                maxlength: 50,
            },
            mobile: {
                required: true,
                digits: true,
                minlength: 10,
                maxlength: 10,
            },
            email: {
                // required: true,
                email: true,
            },
            states: {
                required: true,
            },
            cities: {
                required: true,
            },
            tehsils: {
                required: true,
            },
            villages: {
                required: true,
            },
            address: {
                required: true,
            },
            status : {
                required: true,
            }
        },
        messages: {
            "name":{
                required: "Please enter name",
                maxlength: "Please enter max 25 character",
            },
            "mobile":{
                required: "Please enter mobile",
                digits: "Please enter number only",
                minlength: "Please enter min 10 digit",
                maxlength: "Please enter max 10 digit",
            },
            "email":{
                required: "Please enter email",
                email: "Please enter a valid email address",
            },
            "address":{
                required: "Please enter address",
            },
            "states": {
                required: "Please select state",
            },
            "cities": {
                required: "Please select city",
            },
            "villages": {
                required: "Please select village",
            },
            "tehsils": {
                required: "Please select tehsil",
            },
            "status":{
                required: "Please select status",
            }
        },
        submitHandler: function(form) {
            $('button[type="submit"]').attr('disabled', true);
            form.submit();
        },
    });
    
      $('#states').change(function(){
        var state = $('#states').val();
        var value = "city_customer";
        $.ajax({
            url:"<?php echo e(route('admin.notifications.getValue')); ?>",
            data:{
                    "_token": "<?php echo e(csrf_token()); ?>",
                    "value": value,
                    "state": state,
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $("#cities option").remove();
                $("#tehsils option").remove();
                $("#villages option").remove();
                $('#tehsils').append($('<option>', {value:'', text:'Select'}));
                $('#villages').append($('<option>', {value:'', text:'Select'}));
                $('#cities').append($('<option>', {value:'', text:'Select'}));
                $.each( result, function(k, v) {
                    $('#cities').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });

    $('#cities').change(function(){
        var value = "tehsil_customer";
        var city = $('#cities').val();
        $.ajax({
            url:"<?php echo e(route('admin.notifications.getValue')); ?>",
            data:{
                    "_token": "<?php echo e(csrf_token()); ?>",
                    "value": value,
                    "city": city,
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $("#tehsils option").remove();
                $("#villages option").remove();
                $('#villages').append($('<option>', {value:'', text:'Select'}));
                $('#tehsils').append($('<option>', {value:'', text:'Select'}));
                $.each( result, function(k, v) {
                    $('#tehsils').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });
    $('#tehsils').change(function(){
        var value = 'village_customer';
        var tehsil = $('#tehsils').val();
        $.ajax({
            url:"<?php echo e(route('admin.notifications.getValue')); ?>",
            data:{
                    "_token": "<?php echo e(csrf_token()); ?>",
                    "value": value,
                    "tehsil": tehsil,
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $("#villages option").remove();
                $('#villages').append($('<option>', {value:'', text:'Select'}));
                $.each( result, function(k, v) {
                    $('#villages').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });

    $('.numeric').on('input', function (event) {
        this.value = this.value.replace(/[^0-9]/g, '');
    });
    $('.character').on('input', function (event) {
            this.value = this.value.replace(/[^0-9\.\a-z\A-Z\@ _()$&]/g, '');
        });

</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>