<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">

        <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!-- Default box -->
        <div class="box">
            <div class="box-body">
                <div class="box-header with-border bg-title border-header">
                    <h4 class="page-title header-color">Edit Status</h4>
                </div>
            </div>
            <div class="box-body">
                <form action="<?php echo e(route('admin.order-statuses.update', $orderStatus->id)); ?>" method="post" id="edit_order_status">
            <div class="box-body">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="_method" value="put">
                <div class="row">
                    <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                        <div class="form-group">
                            <label for="name">Name <span class="text-danger">*</span></label>
                            <input class="form-control character" type="text" name="name" id="name" value="<?php echo e($orderStatus->name ?: old('name')); ?>" placeholder="Name" maxlength="25">
                        </div>
                    </div>
                    <div class="col-sm-6 col-md-5 col-sm-6 col-xs-12">
                        <div class="form-group">
                            <label for="display_name">Display Name <span class="text-danger">*</span></label>
                            <input class="form-control character" type="text" name="display_name" id="display_name" value="<?php echo e($orderStatus->display_name ?: old('display_name')); ?>" placeholder="Display Name" maxlength="25">
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-body -->
                <div class="box-footer btn-group">
                    <a href="<?php echo e(route('admin.order-statuses.index')); ?>" class="btn btn-default">Cancel</a>
                    <button type="submit" class="btn btn-primary">Update</button>
                </div>
            </form>
            </div>
        </div>
        <!-- /.box -->
    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script src="<?php echo e(asset('js/jscolor.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('js/jquery.validate.js')); ?>"></script>
    <script src="<?php echo e(asset('js/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/additional-methods.min.js')); ?>"></script>
    <script type="text/javascript">
        $("#edit_order_status").validate({
            ignore: [],
            errorClass: 'error',
            successClass: 'validation-valid-label',
            highlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            unhighlight: function(element, errorClass) {
                $(element).removeClass(errorClass);
            },
            validClass: "validation-valid-label",
            rules: {
                name: {
                    required: true,
                    maxlength: 25,
                },
                color: {
                    required: true,
                    maxlength: 15,
                }
            },
            messages: {
                "name":{
                    required: "Please enter name.",
                    maxlength: "Please enter max 25 character",
                },
                "color":{
                    required: "Please enter color.",
                    maxlength: "Please enter max 15 character",
                }
            },
            submitHandler: function(form) {
                $('button[type="submit"]').attr('disabled', true);
                form.submit();
            },
        });
        
        $('.character').on('input', function (event) {
            this.value = this.value.replace(/[^0-9\.\a-z\A-Z\@ _()$&]/g, '');
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>