<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">

    <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- Default box -->
        <?php if($category): ?>
            <div class="box">
                <div class="box-body">
                    <div class="box-body">
                        <div class="box-header with-border bg-title border-header">
                            <h4 class="page-title header-color">Manage Categories</h4>
                        </div>
                    </div>
                    <div class="box-body">
                        <table class="table">
                            <thead>
                            <tr>
                                <th class="col-md-4">Category Name</th>
                                <th class="col-md-4">Description</th>
                                <th class="col-md-4">Cover</th>
                            </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><?php echo e($category->name); ?></td>
                                    <td><?php echo $category->description; ?></td>
                                    <td>
                                        <?php if(isset($category->cover)): ?>
                                            <img  style="height:100px !important;width:100px !important" src="<?php echo e($category->cover); ?>" alt="category image" class="img-thumbnail">
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                <!--    </div>-->
                <!--</div>-->
                <?php if(!$categories->isEmpty()): ?>
                <hr>
                    <!--<div class="box-body">-->
                    <!--    <div class="box-body">-->
                            <table class="table border-b1px" id="table-id">
                                <thead>
                                <tr>
                                    <th class="col-md-3">Sub-Category Name</th>
                                    <th class="col-md-3">Description</th>
                                    <th class="col-md-3">Cover</th>
                                    <th class="col-md-3">Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($cat->name); ?></a></td>
                                            <td><?php echo $cat->description; ?></td>
                                            <td><?php if(isset($cat->cover)): ?><img style="height:100px !important;width:100px !important"  src="<?php echo e($cat->cover); ?>" alt="category image" class="img-thumbnail"><?php endif; ?></td>
                                            <td>
                                                <form action="<?php echo e(route('admin.categories.destroy', $cat->id)); ?>" method="post" class="form-horizontal">
                                                    <?php echo e(csrf_field()); ?>

                                                    <input type="hidden" name="_method" value="delete">
                                                    <div class="btn-group">
                                                        <?php if($permission->edit==1): ?>
                                                            <a href="<?php echo e(route('admin.categories.edit', $cat->id)); ?>" class="btn btn-primary btn-sm"><i class="fa fa-pencil"></i> </a>
                                                        <?php endif; ?>
                                                        <?php if($permission->delete==1): ?>
                                                            <button onclick="return confirm('Are you sure?')" type="submit" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> </button>
                                                        <?php endif; ?>
                                                    </div>
                                                </form>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(!$products->isEmpty()): ?>
                    <div class="box-body">
                        <h2>Products</h2>
                        <?php echo $__env->make('admin.shared.products', ['products' => $products], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    </div>
                <?php endif; ?>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="box-body">
                        <div class="btn-group">
                            <a href="<?php echo e(route('admin.categories.index')); ?>" class="btn btn-default btn-sm">Back</a>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box -->
        <?php endif; ?>

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
<script>
    $(document).ready(function() {
        $('#table-id').DataTable({
        'info' : false,
        'paging' : true,
        'searching' : false,
        'orderable': false,
        "lengthChange": false,
        'sorting' : []
        });
    } );
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>