<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">
    <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- Default box -->
        <div class="box">
            <div class="box-body">
            <div class="box-header">
                <div class="row">
                    <div class="col-md-6">
                          <?php if($order->address!=null): ?>
                        <h2>
                            <a href="#"><?php echo e($order->address->alias); ?></a> <br />
                            <small><?php echo e($order->email); ?></small> <br />
                            <small><?php echo e($order->address->phone); ?></small> <br />
                            <?php endif; ?>
                            <small>reference: <strong><?php echo e($order->reference); ?></strong></small>
                        </h2>
                    </div>
                    <div class="col-md-3 col-md-offset-3">
                        <h2><a href="<?php if($order->invoice_path): ?> <?php echo e(asset($order->invoice_path)); ?> <?php else: ?> <?php echo e(route('admin.orders.invoice.generate', $order['id'])); ?> <?php endif; ?>" class="btn btn-primary btn-block" target="_blank">Download Invoice</a></h2>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <h4> <i class="fa fa-shopping-bag"></i> Order Information</h4>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th class="col-md-2">Date</th>
                            <th class="col-md-2">Customer</th>
                            <th class="col-md-2">Phone</th>
                            <th class="col-md-2">Payment</th>
                            <th class="col-md-2">Status</th>
                        </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td><?php echo e(date('M d, Y h:i a', strtotime($order['created_at']))); ?></td>
                          <?php if($order->address!=null): ?>
                        <td><a href="<?php echo e(route('admin.customers.show', $customer->id)); ?>"><?php echo e($order->address->alias); ?></a></td>
                        <?php else: ?>
                         <td><a href="<?php echo e(route('admin.customers.show', $customer->id)); ?>"></a></td>
                        <?php endif; ?>
                         <?php if($order->address!=null): ?>
                        <td>
                            <?php echo e($order->address->phone); ?></td>
                            <?php else: ?>
                            <td></td>
                            <?php endif; ?>
                        <td><strong><?php echo e($order['payment']); ?></strong></td>
                        <td>
                            <button type="button" class="btn btn-info btn-block"><?php echo e(ucfirst($currentStatus->name)); ?></button>
                        </td>
                    </tr>
                    <!-- </tbody>
                    <tbody> -->
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td class="bg-warning">Sub Total</td>
                        <td class="bg-warning">Rs <?php echo e(number_format(($order['total_products']) - ($order['tax']),2)); ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td class="bg-warning">+ Tax</td>
                        <td class="bg-warning"><?php echo e($order['tax']); ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td class="bg-warning">+ Shipping</td>
                        <td class="bg-warning"><?php echo e($order['total_shipping']); ?></td>
                    </tr>
                    <?php if($order['wallet_point']!=0.0 && $order['wallet_point']!=""): ?>
                        <?php
                            $wallet_amount = $order['wallet_point'] * env('DISCOUNT_POINT');
                            $wallet_amount = number_format($wallet_amount,2);
                        ?>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="bg-warning">- Discount</td>
                            <td class="bg-warning"><?php echo e($wallet_amount); ?></td>
                        </tr>
                    <?php endif; ?>
                    <!--<tr>-->
                    <!--    <td></td>-->
                    <!--    <td></td>-->
                    <!--    <td></td>-->
                    <!--    <td class="bg-success text-bold">Order Total</td>-->
                    <!--    <td class="bg-success text-bold">Rs <?php echo e($order['total']); ?></td>-->
                    <!--</tr>-->
                    <?php
                        if (isset($wallet_amount)) {
                            $total = $order['total'] + $order['total_shipping'] - $wallet_amount;
                        } else{
                            
                            $total = $order['total'] + $order['total_shipping'];
                        }
                    ?>
                    <?php if($order['total_paid'] != $order['total']): ?>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="bg-danger text-bold">Total paid</td>
                            <td class="bg-danger text-bold">Rs <?php echo e(number_format($total,2)); ?></td>
                        </tr>
                    <?php endif; ?>
                    </tbody>
                </table>
            </div>
            <?php if($order): ?>
                <?php if(!$items->isEmpty()): ?>
                    <div class="box-body">
                        <h4> <i class="fa fa-gift"></i> Items</h4>
                        <table class="table table-striped">
                            <thead>
                           
                            <th class="col-md-2">Name</th>
                              <?php if($offer_status==1): ?>
                                <th class="col-md-2">Offer Product</th>
                            <?php endif; ?>
                             <th class="col-md-2">HSN Code</th>
                            <th class="col-md-1">Unit</th>
                            <th class="col-md-1">Quantity</th>
                            <th class="col-md-2">Price</th>
                           <th class="col-md-2">Shipping Price</th>
                            <th class="col-md-1">GST %</th>
                            <th class="col-md-1">CGST</th>
                            <th class="col-md-1">SGST</th>
                            <th class="col-md-2">Total</th>
                          
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $item->product_price = str_replace(",","",$item->product_price);
                                $gst = ($item->product_price*$item->quantity*$item->gst_price)/100;
                                $total = ($item->product_price*$item->quantity)+$item->shipping_price;
                                
                                $total = number_format($total ,2);
                                $total = str_replace(",","",$total);
                            ?>
                                <tr>
                                   
                                    <td><?php echo e($item->product_name); ?></td>
                                     <?php if($offer_status==1): ?>
                                        <td><?php echo e($item->offer_product); ?></td>
                                    <?php endif; ?>
                                     <td><?php echo e($item->hsn_code); ?></td>
                                   
                                    <td><?php echo e($item->unit); ?></td>
                                    <td><?php echo e($item->quantity); ?></td>
                                    <?php /*?>
                                    <td>{{ str_replace(",","",$item->product_price-$gst) }}</td>
                                     <?php */?>
                                       <td><?php echo e(number_format(($item->product_price)-($gst),2)); ?></td>
                                   <td><?php echo e(number_format($item->shipping_price,2)); ?></td>
                                   <?php /*?> <td>{{ $gst }}%</td><?php */ ?>
                                   <td><?php echo e($item->gst_price); ?>%</td>
                                     <td><?php echo e(number_format(($gst/2),2)); ?> </td>
                                      <td><?php echo e(number_format(($gst/2),2)); ?></td>
                                    <td><?php echo e($total); ?></td>
                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php endif; ?>
              
                <?php if($order->address!=null): ?>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4> <i class="fa fa-map-marker"></i> Address</h4>
                            <table class="table table-striped">
                                <thead>
                                    <th class="col-md-2">Address</th>
                                    <th class="col-md-2">Village</th>
                                    <th class="col-md-2">Tehsil</th>
                                    <th class="col-md-2">City</th>
                                    <th class="col-md-2">State</th>
                                    <th class="col-md-2">Country</th>
                                    <th class="col-md-2">Zip</th>
                                    <!-- <th class="col-md-2">Province</th> -->
                                </thead>
                                <tbody>
                                <tr>
                                    <td><?php echo e($order->address->address_1); ?></td>
                                    <td><?php echo e($order->address->village_id); ?></td>
                                    <td><?php echo e($order->address->tehsil_id); ?></td>
                                    <td><?php echo e($order->address->city); ?></td>
                                    <!-- <td>
                                        <?php if(isset($order->address->province)): ?>
                                            <?php echo e($order->address->province->name); ?>

                                        <?php endif; ?>
                                    </td> -->
                                    <td><?php echo e($order->address->state_code); ?></td>
                                    <td><?php echo e($order->address->country->name); ?></td>
                                    <td><?php echo e($order->address->zip); ?></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            <!-- /.box -->
            <div class="box-footer">
                <div class="btn-group">
                    <a href="<?php echo e(route('admin.orders.index')); ?>" class="btn btn-default">Back</a>
                    <?php if($order->order_status_id!=1 && $order->order_status_id!=4): ?>
                        <?php if($permission->edit==1): ?><a href="<?php echo e(route('admin.orders.edit', $order->id)); ?>" class="btn btn-primary">Edit</a>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
        <?php endif; ?>
            </div>
        </div>

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>