<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">
        <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="box">
            <form action="<?php echo e(route('admin.offers.store')); ?>" method="post" class="form" enctype="multipart/form-data">
                <div class="box-body">
                    <?php echo e(csrf_field()); ?>

                    <div class="col-md-8">
                        <h2>Offer</h2>
                        <div class="form-group">
                            <label for="company_id">Company Name<span class="text-danger">*</span></label>
                            <select name="company_id" id="company_id" class="form-control select2">
                                <?php if($companies): ?>   
                                    <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($company->id); ?>"><?php echo e($company->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="parent">Category<span class="text-danger">*</span></label>
                            <select name="category_id" id="parent" class="form-control select2">
                                    <!-- <option value=""></option>  -->
                            </select>
                        </div>
                     
                        <div class="form-group">
                            <label for="offer_type">Offer Type <span class="text-danger">*</span></label>
                            <input type="text" name="offer_type" id="offer_type" placeholder="Offer Type" class="form-control" value="<?php echo e(old('offer_type')); ?>">
                        </div>

                        <div class="form-group">
                            <label for="expired_date">Expired Date<span class="text-danger">*</span></label>
                            <input type="date" name="expired_date" data-date-format="yyyy-mm-dd hh:ii" id="expired_date" placeholder="Date" class="form-control form_datetime" value="<?php echo e(old('expired_date')); ?>">
                        </div>

                        <div class="form-group">
                            <label for="expired_time">Expired Time<span class="text-danger">*</span></label>
                            <input type="time" name="expired_time" id="expired_time" placeholder="Time" class="form-control" value="<?php echo e(old('expired_time')); ?>">
                        </div>
                       
                        <div class="form-group">
                            <label for="cover">Cover </label>
                            <input type="file" name="cover" id="cover" class="form-control">
                        </div>
                        <?php echo $__env->make('admin.shared.status-select', ['status' => 0], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <div class="form-group">
                            <label for="description">Description <span class="text-danger">*</span></label>
                            <textarea class="form-control ckeditor" name="description" id="description" rows="5" placeholder="Description"><?php echo e(old('description')); ?></textarea>
                        </div>
                    </div>
                    <div class="col-md-4">
                       <!-- <h2>Categories</h2> -->
                    </div>
                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="btn-group">
                        <a href="<?php echo e(route('admin.offers.index')); ?>" class="btn btn-default">Back</a>
                        <button type="submit" class="btn btn-primary">Create</button>
                    </div>
                </div>
            </form>
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script type="text/javascript">

    $('#company_id').change(function(){
        $("#parent option").remove();
        var id = $(this).val();
        console.log('id',id);
    
        $.ajax({
            url : "<?php echo e(route('admin.products.getCategories')); ?>",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>",
                "id": id
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $.each( result, function(k, v) {
                    $('#parent').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>