<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
        <div class="box">
            <div class="box-header with-border border-header header-color">
                <h3 class="box-title"><h2>Dashboard</h2></h3>
                <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            </div>
            <div class="box-body">
                <?php if($orders): ?>
                    <div class="box-body">
                        <div class="box-header header-color border-header">
                            <h3>Top 5 Orders</h3>
                        </div>
                    </div>
                    <div class="box-body">
                        <table class="table border-b1px" id="table-id">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Date</th>
                                    <th class="col-md-3">E-mail</th>
                                    <th >Mobile</th>
                                    <th class="col-md-2">Customer</th>
                                    <th>Total</th>
                                    <th>Status</th>
                                    <th>View</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $i=1 ?>
                            <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <?php
                                        $wallet_amount = $order['wallet_point'] * env('DISCOUNT_POINT');
                                    ?>
                                    <?php
                                     
                                        if (isset($wallet_amount)) {
                                            $total = $order['total'] + $order['total_shipping'] + $order['tax'] - $wallet_amount;
                                        } else{
                                            $total = $order['total'] + $order['total_shipping'] + $order['tax'];
                                        }
                                    ?>
                                    <td><?php echo e($i++); ?></td> 
                                    <td><?php echo e(date('M d, Y', strtotime($order->created_at))); ?></td>
                                    <td><?php echo e($order->email); ?></td>
                                    <td><?php echo e($order->mobile); ?></td>
                                    <td><?php echo e($order->customer_name); ?></td>
                                    <td>
                                        <span class="label <?php if($order->total != $order->total_paid): ?> label-danger <?php else: ?> label-success <?php endif; ?>"><i class="fa fa-rupee"></i> <?php echo e($total); ?></span>
                                    </td>
                                    <td><p class="label" style=" color: black; background-color: <?php echo e($order->color); ?>"><?php echo e(ucfirst($order->status)); ?></p></td>
                                    <td>
                                        <!-- <a title="Show order" href="<?php echo e(route('admin.orders.show', $order->id)); ?>">
                                            <p class="text-center" style="color: #fff; background-color:#00c0ef">View & Download</p>
                                        </a> -->
                                        <a title="View order" href="<?php echo e(route('admin.orders.show', $order->id)); ?>" class="btn btn-primary btn-sm"><i class="fa fa-eye" style="color: white; font-size:16px"></i></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="box-body">
                        <span class="input-group-btn" style="width: 0">
                            <a href="<?php echo e(route('admin.orders.index')); ?>" class="btn btn-primary btn-sm"> View All</a>
                        </span>
                    </div>
                <?php else: ?>
                    <div class="box">
                        <div class="box-body"><p class="alert alert-warning">No orders found.</p></div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="box-body">
                <?php if(!$products->isEmpty()): ?>
                    <div class="box-body">
                        <div class="box-header border-header header-color">
                            <h3>Top 5 Products</h3>
                        </div>
                    </div>
                    <div class="box-body">
                        <table class="table border-b1px table-product" id="table-id">
                            <thead>
                            <tr>
                                <th class="col-md-1" >No.</th>
                                <th class="col-md-1">Name</th>
                                <th class="col-md-1">Technical</th>
                                <th class="col-md-1">Category</th>
                                <th class="col-md-1">Company</th>
                                <th class="col-md-1">Status</th>
                                <th class="col-md-1">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $i=1 ?>
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($i++); ?></td>
                                    <td><?php echo e($product->name); ?> </td>
                                    <td><?php echo e($product->technical_name); ?></td>
                                    <td>Rs <?php echo e($product->category); ?></td>
                                    <td>Rs <?php echo e($product->company); ?></td>
                                    <td><?php echo $__env->make('layouts.status', ['status' => $product->status], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?></td>
                                    <td>
                                        <?php
                                           $permission = App\Helper\Permission::permission('update_stock');
                                        ?>
                                        <?php if($permission->edit==1): ?>
                                            <div class="btn-group">
                                                <a href="<?php echo e(route('admin.updateStock.edit', $product->id)); ?>" class="btn btn-primary btn-sm"><i class="fa fa-pencil" style="color: white; font-size:16px"></i></a>
                                            </div>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="box-body">
                        <span class="input-group-btn" style="width: 0">
                            <a href="<?php echo e(route('admin.updateStock.index')); ?>" class="btn btn-primary btn-sm"> View All</a>
                        </span>
                    </div> 
                <?php else: ?>
                    <div class="box">
                        <div class="box-body"><p class="alert alert-warning">No products found.</p></div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    $(document).ready(function() {
        $('#table-id').DataTable({
            "searching": false,
            "paging":   false,
            "ordering": false,
            "info":     false
        });
        $('.table-product').DataTable({
            "searching": false,
            "paging":   false,
            "ordering": false,
            "info":     false
        });
    } );
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>