<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="content">
        <?php echo $__env->make('layouts.errors-and-messages', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="box">
            <form action="<?php echo e(route('admin.products.store')); ?>" method="post" class="form" enctype="multipart/form-data">
                <div class="box-body">
                    <?php echo e(csrf_field()); ?>

                    <div class="col-md-8">
                        <h2>Product</h2>
                        
                        <div class="form-group">
                            <label for="company_id">Company Name<span class="text-danger">*</span></label>
                            <select name="company_id" id="company_id" class="form-control select2" required>
                                <?php if($companies): ?>   
                                    <option>Select Company</option>
                                    <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($company->id); ?>"><?php echo e($company->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="category_id">Parent Category<span class="text-danger">*</span></label>
                            <select name="category_id" id="category_id" class="form-control select2" required>
                                    <!-- <option value=""></option>  -->
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="subcategory_id">Sub Category</label>
                            <select name="subcategory_id" id="subcategory_id" class="form-control select2">
                                    <!-- <option value=""></option>  -->
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="crop_id">Crop Name<span class="text-danger">*</span></label>
                            <select name="crop_id" id="crop_id" class="form-control select2" required>
                                <?php if($crops): ?>   
                                    <option>Select Crop</option>
                                    <?php $__currentLoopData = $crops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($crop->id); ?>"><?php echo e($crop->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="crop_category">Crop Category</label>
                            <select name="crop_category" id="crop_category" class="form-control select2">
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="name">Name <span class="text-danger">*</span></label>
                            <input type="text" name="name" id="name" placeholder="Name" class="form-control" value="<?php echo e(old('name')); ?>" required>
                        </div>

                        <div class="form-group">
                            <label for="sku">SKU <span class="text-danger">*</span></label>
                            <input type="text" name="sku" id="sku" placeholder="xxxxx" class="form-control" value="<?php echo e(old('sku')); ?>" required>
                        </div>
                        
                        <div class="form-group">
                            <label for="description">Description </label>
                            <textarea class="form-control" name="description" id="description" rows="5" placeholder="Description" required><?php echo e(old('description')); ?></textarea>
                        </div>
                        <div class="form-group">
                            <label for="cover">Cover </label>
                            <input type="file" name="cover" id="cover" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="image">Images</label>
                            <input type="file" name="image[]" id="image" class="form-control" multiple>
                            <small class="text-warning">You can use ctr (cmd) to select multiple images</small>
                        </div>
                        <div class="form-group">
                            <label for="quantity">Quantity <span class="text-danger">*</span></label>
                            <input type="text" name="quantity" id="quantity" placeholder="Quantity" required class="form-control" value="<?php echo e(old('quantity')); ?>">
                        </div>
                        <div class="form-group">
                            <label for="price">Price <span class="text-danger">*</span></label>
                            <div class="input-group">
                                <span class="input-group-addon">RS</span>
                                <input type="text" name="price" id="price" placeholder="Price" required class="form-control" value="<?php echo e(old('price')); ?>">
                            </div>
                        </div>
                        <?php if(!$brands->isEmpty()): ?>
                        <div class="form-group">
                            <label for="brand_id">Brand </label>
                            <select name="brand_id" id="brand_id" class="form-control select2" required><span class="text-danger">*</span></label>
                                <option value=""></option>
                                <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if(old('brand_id') == $brand->id): ?> selected="selected" <?php endif; ?> value="<?php echo e($brand->id); ?>"><?php echo e($brand->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <?php endif; ?>
      
                        <?php echo $__env->make('admin.shared.status-select', ['status' => 0], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php echo $__env->make('admin.shared.attribute-select', [compact('default_weight')], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <label for="unit">Unit <span class="text-danger">*</span></label>
                        <table class="table table-bordered" id="dynamic_field">  
                            <tr> 
                                <td><input type="text" name="unitkey[]" placeholder="Enter Key" class="form-control name_list" required/></td>  
                                <td>
                                    <select name="unitoption[]" id="unitoption" class="form-control" required>
                                        <option value="ac">Ac (Acre)</option>
                                        <option value="bbl">bbl (Barrel)</option>
                                        <option value="c">c (Cup)</option>
                                        <option value="dp">dp (Drop)</option>
                                        <option value="ft">ft (Foot)</option>
                                        <option value="gl">gl (Gallon)</option>
                                        <option value="gr">gr (Gram)</option>
                                        <option value="htr">htr (Hectare)</option>
                                        <option value="i">i (Liter)</option>
                                        <option value="in">In (Inch)</option>
                                        <option value="kg">kg (kilogram)</option>
                                        <option value="km">km (Kilometer)</option>
                                        <option value="m">m (Meter)</option>
                                        <option value="mg">mg (Milligram)</option>
                                        <option value="ml">ml (Milliter)</option>
                                        <option value="pc">pc (Piece)</option>
                                        <option value="qt">Qt (Quintal)</option>
                                        <option value="scm">scm (Square Centimeter)</option>
                                        <option value="sf">sf (Square Foot)</option>
                                        <option value="skm">skm (Square Kilometer)</option>
                                        <option value="smeter">smeter (Square Meter)</option>
                                        <option value="sqi">sqi (Square Inch)</option>
                                        <option value="sqm">sqm (Square Mile)</option>
                                        <option value="sy">sy (Square Yard)</option>
                                        <option value="t">t (Tonne)</option>
                                        <option value="ts">ts (Teaspoon)</option>
                                    </select>
                                </td>
                                </td>  
                                <td><button type="button" name="add" id="add" class="btn btn-success">+</button></td>  
                            </tr>  
                        </table>  

                        <label for="additional_info">Additionl Information <span class="text-danger">*</span></label>
                        <table class="table table-bordered" id="additional_info">  
                            <tr> 
                                <td><input type="text" name="additional_info[]" placeholder="Enter Key" class="form-control name_list" required/></td>  
                                <td><input type="text" name="additional_info_value[]" placeholder="Enter Value" class="form-control name_list" required/></td>    
                                <td><button type="button" name="add_additional_info" id="add_additional_info" class="btn btn-success">+</button></td>  
                            </tr>  
                        </table>  

                    </div>
                    <div class="col-md-4">
                       <!-- <h2>Categories</h2> -->
                    </div>
                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="btn-group">
                        <a href="<?php echo e(route('admin.products.index')); ?>" class="btn btn-default">Back</a>
                        <button type="submit" class="btn btn-primary">Create</button>
                    </div>
                </div>
            </form>
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script type="text/javascript">
    $(document).on('click', '#add', function(){ 
        var i=1; 
        i++;
        $('#dynamic_field').append(`<tr id="row${i}" class="dynamic-added"><td><input type="text" name="unitkey[]" required placeholder="Enter Key" class="form-control name_list" /></td>
        <td>
            <select name="unitoption[]" id="unitoption" class="form-control select2" required>
                <option value="ac">Ac (Acre)</option>
                <option value="bbl">bbl (Barrel)</option>
                <option value="c">c (Cup)</option>
                <option value="dp">dp (Drop)</option>
                <option value="ft">ft (Foot)</option>
                <option value="gl">gl (Gallon)</option>
                <option value="gr">gr (Gram)</option>
                <option value="htr">htr (Hectare)</option>
                <option value="i">i (Liter)</option>
                <option value="in">In (Inch)</option>
                <option value="kg">kg (kilogram)</option>
                <option value="km">km (Kilometer)</option>
                <option value="m">m (Meter)</option>
                <option value="mg">mg (Milligram)</option>
                <option value="ml">ml (Milliter)</option>
                <option value="pc">pc (Piece)</option>
                <option value="qt">Qt (Quintal)</option>
                <option value="scm">scm (Square Centimeter)</option>
                <option value="sf">sf (Square Foot)</option>
                <option value="skm">skm (Square Kilometer)</option>
                <option value="smeter">smeter (Square Meter)</option>
                <option value="sqi">sqi (Square Inch)</option>
                <option value="sqm">sqm (Square Mile)</option>
                <option value="sy">sy (Square Yard)</option>
                <option value="t">t (Tonne)</option>
                <option value="ts">ts (Teaspoon)</option>
            </select>
        </td> 
        <td><button type="button" name="remove" id="${i}" class="btn btn-danger btn_remove">X</button></td></tr>`);  
    });

    $(document).on('click', '.btn_remove', function(){  
        var button_id = $(this).attr("id");   
        $('#row'+button_id+'').remove();  
    });

    //Add Additionl information
    $(document).on('click', '#add_additional_info', function(){ 
        var i=1; 
        i++; 
        $('#additional_info').append(`<tr id="row${i}btn" class="dynamic-added"><td><input type="text" name="additional_info[]" required placeholder="Enter Key" class="form-control name_list" /></td>
        <td><input type="text" name="additional_info_value[]" placeholder="Enter Value" class="form-control name_list" required/></td>    
         <td><button type="button" name="remove" id="${i}btn" class="btn btn-danger btn_remove_additional_info">X</button></td></tr>`);  
    });

    $(document).on('click', '.btn_remove_additional_info', function(){  
        var button_id = $(this).attr("id");   
        console.log(button_id);
        $('#row'+button_id).remove();  
    });

    $('#crop_id').change(function(){
        $("#crop_category option").remove();
        var id = $(this).val();
        $.ajax({
            url : "<?php echo e(route('admin.products.getCropCategories')); ?>",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>",
                "id": id
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $('#crop_category').append($('<option>', {value:'', text:'Select'}));
                $.each( result, function(k, v) {
                    $('#crop_category').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    })

   $('#company_id').change(function(){
        $("#category_id option").remove();
        $("#subcategory_id option").remove();
        var id = $(this).val();
        console.log('id',id);
    
        $.ajax({
            url : "<?php echo e(route('admin.products.getCategories')); ?>",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>",
                "id": id
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $('#category_id').append($('<option>', {value:'', text:'Select'}));
                $.each( result, function(k, v) {
                    $('#category_id').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });

    $('#category_id').change(function(){
        $("#subcategory_id option").remove();
        var id = $(this).val();
        $.ajax({
            url : "<?php echo e(route('admin.products.getSubCategories')); ?>",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>",
                "id": id
                },
            type: 'post',
            dataType: 'json',
            success: function( result )
            {
                $('#subcategory_id').append($('<option>', {value:'', text:'Select'}));
                $.each( result, function(k, v) {
                    $('#subcategory_id').append($('<option>', {value:k, text:v}));
                });
            },
            error: function()
            {
                alert('error...');
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>